%define		php_name	php%{?php_suffix}
%define		modname		html_parse
%define		status		stable
Summary:	%{modname} - HTML parser extension
Summary(pl.UTF-8):	%{modname} - parser HTML
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.0
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	d19772cb926d775313af0fda207e2a90
URL:		http://pecl.php.net/package/html_parse/
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	ekhtml-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML parser extension based on the ekhtml library
<http://ekhtml.sourceforge.net/>.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Parser HTML bazowany na bibliotece ekhtml
<http://ekhtml.sourceforge.net/>.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-html_parse.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> fccc6dc
- release 3 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> f7371f7
support building for multiple php versions

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> e361b91
- unify

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 2a84ad5
- release 2

* Fri Mar 21 2008 Adam Gołębiowski <adamg@pld-linux.org> 3b1d7d0
- updated to 1.0.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 295ebd5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 35abb31
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> eaa2eae
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> a468c2c
- BR rpmmacros for fixed %requires_php_extension

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> ebeeaa4
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 96641dd
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 6a4fcbe
- superfluous BR libtool removed

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> d66d262
- fixed english information about status of the package (also s/PEAR/PECL/)

* Wed Oct 15 2003 Adam Gołębiowski <adamg@pld-linux.org> f15671b
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> f6560f4
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> ce9af30
- more specific URL

* Fri Jul 11 2003 Adam Gołębiowski <adamg@pld-linux.org> 3ac3f25
- initial import

